<?php
/*------------------------------------------------------------------------
# WordPress Christmas Theme - December 2008
# ------------------------------------------------------------------------
# Copyright (C) 2008 instantShift. All Rights Reserved.
# @license - WordPress Christmas Theme is available under the terms of the GNU General Public License.
# Author: instantShift.com
# Websites:  http://www.instantshift.com
-------------------------------------------------------------------------*/
?>

<?php get_header(); ?>

<!-- Main Body Start -->
<div id="middle">
<div class="background layoutright">

<div id="main">
<div id="main_container" class="clearingfix">
<div id="mainmiddle" class="floatbox withoutleft">

<?php get_sidebar(); ?>

<div id="content">
<div id="content_container" class="clearingfix">
<div class="floatbox">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="comment" id="post-<?php the_ID(); ?>">
<div class="time-comments clearingfix">
<div class="time"><?php the_time('l, F jS, Y') ?><?php edit_post_link('Edit', ' | &nbsp;', ''); ?></div>
<div class="num-comments"><a href="<?php the_permalink() ?>#comments"><?php comments_number('No Comments', '1 Comment', '% Comments' );?></a></div>
</div>
<h1><?php the_title(); ?></h1>
<?php the_content(''); ?>
<div class="single-cats clearingfix">
<div class="icons" style="float:right;">
<a href="http://technorati.com/faves?add=<?php the_permalink() ?>" title="Bookmark <?php the_title(); ?> on Technorati" class="one"></a>
<a href="http://del.icio.us/post?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" title="Bookmark <?php the_title(); ?> on Delicious" class="two"></a>
<a href="http://digg.com/submit?phase=2&url=<?php the_permalink() ?>" title="Digg <?php the_title(); ?>" class="three"></a>
<a href="http://reddit.com/submit?url=<?php the_permalink() ?>&title=<?php the_title(); ?>" title="Bookmark <?php the_title(); ?> on Reddit" class="four"></a>
<a href="http://www.stumbleupon.com/submit?url=<?php the_permalink() ?>" title="Bookmark <?php the_title(); ?> on StumbleUpon" class="five"></a>
</div>
<div class="cats">Category: <?php the_category(', ') ?></div>
</div>
</div>

<div class="navigation clearingfix">
<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
</div>

<div class="success">
You can follow any responses to this entry through the <strong><?php post_comments_feed_link('RSS 2.0'); ?></strong> feed.

<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
// Both Comments and Pings are open ?>
You can <a href="#respond"><strong>leave a response</strong></a>, or <a href="<?php trackback_url(); ?>" rel="trackback"><strong>trackback</strong></a> from your own site.

<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
// Only Pings are Open ?>
Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback"><strong>trackback</strong></a> from your own site.

<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
// Comments are open, Pings are not ?>
You can skip to the end and <a href="#respond"><strong>leave a response</strong></a>. Pinging is currently not allowed.

<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
// Neither Comments, nor Pings are open ?>
Both comments and pings are currently closed.

<?php } edit_post_link('<br /><br /><strong>Edit this entry</strong>','','.'); ?>
</div>

<?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

<?php comments_template(); ?>

<?php endwhile; else: ?>

<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

</div>
</div>
</div>

</div>
</div>
</div>

</div>
</div>
<!-- Main Body End -->

<?php get_footer(); ?>
